# DocumenterTools.jl changelog

## Version `v0.1.13`

* ![Enhancement][badge-enhancement] The wording of the text in the the old version warning box was improved. ([#54][github-54])

## Version `v0.1.12`

* Declare compatibility with Documenter 0.26. ([#52][github-52])

## Version `v0.1.11`

* DocumenterTools now provides the `OutdatedWarning.generate` function which can be used to add outdated version warnings to old documentation builds (on `gh-pages`). ([#51][github-51])

## Version `v0.1.10`

* Declare compatibility with Sass.jl 0.2. ([#49][github-49])

## Version `v0.1.9`

* Declare compatibility with Documenter 0.26. ([#46][github-46])

## Version `v0.1.8`

* ![Maintenance][badge-maintenance] Fixes broken links in the documentation ([#43][github-43]) and reliance on old (broken) `pathof` behaviour in the tests ([#44][github-44]).

## Version `v0.1.7`

* ![Enhancement][badge-enhancement] `DocumenterTools.genkeys` now puts "Documenter" as the comment in the SSH key file, instead of the default username and hostname. ([#40][github-40])

## Version `v0.1.6`

Maintenance release declaring compatibility with Documenter 0.25. ([#39][github-39])

## Version `v0.1.5`

* ![Bugfix][badge-bugfix] Fixes to the `Themes.compile` function, including making sure that the Sass include path is properly set up. ([#32][github-32], [#35][github-35])

## Version `v0.1.4`

* ![Enhancement][badge-enhancement] `Travis.genkeys()` now works on Windows even if the UNIX-y `which` is not available. ([#33][github-33])

## Version `v0.1.3`

* ![Experimental][badge-experimental] ![Feature][badge-feature] The new `Themes` submodule provides an experimental API to compile Documenter Sass themes. ([#27][github-27])

## Version `v0.1.2`

* ![Deprecation][badge-deprecation] The `Travis` submodule has been deprecated. Instead of `Travis.genkeys`, use `DocumenterTools.genkeys`. ([#30][github-30])

## Version `v0.1.1`

* ![Enhancement][badge-enhancement] The `generate(path::String)` method now defaults to `"docs"` as the default path, allowing it to be simply called as `generate()` in e.g. the root directory of a package. ([#22][github-22])

* ![Enhancement][badge-enhancement] The generated values for the `format` argument of `makedocs` are now consistent with the new API introduced in Documenter v0.21. ([#21][github-21])

## Version `v0.1.0`

* Initial release.


[github-21]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/21
[github-22]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/22
[github-27]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/27
[github-30]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/30
[github-32]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/32
[github-33]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/33
[github-35]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/35
[github-39]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/39
[github-40]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/40
[github-43]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/43
[github-44]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/44
[github-46]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/46
[github-49]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/49
[github-51]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/51
[github-52]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/52
[github-54]: https://github.com/JuliaDocs/DocumenterTools.jl/pull/54


[badge-breaking]: https://img.shields.io/badge/BREAKING-red.svg
[badge-deprecation]: https://img.shields.io/badge/deprecation-orange.svg
[badge-feature]: https://img.shields.io/badge/feature-green.svg
[badge-enhancement]: https://img.shields.io/badge/enhancement-blue.svg
[badge-bugfix]: https://img.shields.io/badge/bugfix-purple.svg
[badge-experimental]: https://img.shields.io/badge/experimental-lightgrey.svg
[badge-maintenance]: https://img.shields.io/badge/maintenance-gray.svg

<!--
# Badges

![BREAKING][badge-breaking]
![Deprecation][badge-deprecation]
![Feature][badge-feature]
![Enhancement][badge-enhancement]
![Bugfix][badge-bugfix]
![Experimental][badge-experimental]
![Maintenance][badge-maintenance]
-->
